Bug 462686 - Crash probably in evolution-data-server?
Crash probably in evolution-data-server?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 06:07 EDT by Matěj Cepl
Modified: 2018-04-11 04:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 03:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (3.93 KB, text/plain)
2008-09-18 06:15 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-09-18 06:07:44 EDT
Description of problem:
When starting pidgin, I couldn't get it start, even though I killed pidgin repeatedly. THe only thing I got was the attached backtrace. From looking at the backtrace, it looked to me like e-d-s could be involved, so I killedevo and the result was that pidgin started smoothly. Unfortunately, no backtrace of e-d-s.

Version-Release number of selected component (if applicable):
pidgin-2.5.1-3.fc10.x86_64
evolution-data-server-2.23.92-1.fc10.x86_64


How reproducible:
happened once
Comment 1 Matěj Cepl 2008-09-18 06:15:59 EDT
Created attachment 317053 [details]
backtrace
Comment 2 Milan Crha 2008-09-18 08:27:09 EDT
If you pass to eds some crap, then it will crash, yeah, that's possible:
#8  0x00007ffff0be4275 in gevo_load_addressbook (uri=0x9c11f4 "\001", 
    book=0x80, error=0x1) at gevo-util.c:142
#9  0x00007ffff0be3734 in load_timeout (data=0x9b0bd0) at gevolution.c:304

See the uri value; the 'book' and 'error' are suspicious too. It's out of evo scope, I'm afraid, because the source file comes from the other application.
Comment 3 Matthew Barnes 2008-09-18 10:32:28 EDT
I agree.  Looks like the bad GError is what did it in, since that's the only thing that gets passed to e_book_new_system_addressbook().  This is an issue with Pidgin's EDS integration.

Changing component, though it's not clear this is reproducible for the Pidgin folks.
Comment 4 Matthias Clasen 2008-10-28 11:11:08 EDT
All the calls to gevo_load_addressbook in pidgin pass an explicit NULL for the error argument. Bad stacktrace, methinks.
Comment 5 Bug Zapper 2008-11-25 22:07:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Warren Togami 2009-03-24 11:12:06 EDT
Matej, is this still an issue with F-10 updates?
Comment 7 Matěj Cepl 2009-03-25 03:07:46 EDT
I haven't dared to use EDS-piding link since it destroyed my EDS contacts database.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.